Bug 813872 - RecordRoute functionality on both service and message basis
RecordRoute functionality on both service and message basis
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.3.0 GA
Unspecified Unspecified
high Severity high
: ER4
: 5.3.0 GA
Assigned To: Kevin Conner
Martin Vecera
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-18 11:57 EDT by Len DiMaggio
Modified: 2014-10-15 13:26 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
RecordRoute functionality has been added for messages and services. This places audit tracking information within the message context. Configure it as a filter within the jbossesb-properties.xml file.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-15 13:26:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBESB-3758 Major Closed RecordRoute functionality on both service and message basis 2013-02-01 14:00:09 EST

  None (edit)
Description Len DiMaggio 2012-04-18 11:57:18 EDT
Description of problem:

https://issues.jboss.org/browse/JBESB-3758 RecordRoute functionality on
both service and message basis
Fixed in ER1 - this bz is logged to track the fix and to ensure QE verifies


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jehudi Castro Sierra 2012-06-08 05:38:44 EDT
Not ready yet, see https://bugzilla.redhat.com/show_bug.cgi?id=828778
Comment 2 Suz 2012-06-13 01:02:13 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
A RecordRoute functionality has been added for messages and services. This places tracking information within the message context. It can be configured as a filter within jbossesb-properties.xml.
Comment 3 David Le Sage 2012-06-13 23:44:40 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-A RecordRoute functionality has been added for messages and services. This places tracking information within the message context. It can be configured as a filter within jbossesb-properties.xml.+RecordRoute functionality has been added for messages and services. This places audit tracking information within the message context. Configure it as a filter within the jbossesb-properties.xml file.
Comment 4 Douglas Palmer 2012-06-29 08:43:47 EDT
Look like this should be fixed in ER4.

Note You need to log in before you can comment on or make changes to this bug.